.icon {
	display: inline-block;
	font-size: 0;
	width: 20px;
	height: 20px;
	margin: 0 auto;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: 50% 50%;
	fill: var(--icon-fill);
	stroke: var(--icon-stroke);
	flex-shrink: 0;
}

.es-icon {
	@extend .icon;
	// reverse fill and stroke because of the way es icon is drawn
	fill: var(--icon-stroke);
	stroke: var(--icon-fill);

	&.es-line {
		stroke-width: 0;
	}
}

/* like icon */
use.like-icon {
	cursor: pointer;
	--icon-stroke: transparent;
	--icon-fill: var(--gray-500);
	fill: var(--icon-stroke);
	stroke: var(--icon-fill);
	transition: all 0.2s ease;

	stroke-width: 1px;
	stroke-miterlimit: 0;
	stroke-linejoin: round;

	transform-origin: center center;

	.liked & {
		--icon-stroke: var(--red-500);
		--icon-fill: var(--red-700);
	}

	&:hover {
		--icon-fill: var(--red-500);
	}
}

#icon-file-large {
	stroke: none;
}

#icon-folder-normal-large {
	stroke: none;
}

#icon-close {
	fill: var(--invert-neutral);
}

.icon > .close-alt {
	fill: var(--gray-500);
}

// .liked {
// 	use.like-icon {
// 		--icon-stroke: var(--red-500);
// 		stroke: var(--icon-stroke);
// 		fill: var(--icon-stroke);
// 	}
// }

$icon-sizes: (
	"xs": 12px,
	"sm": 16px,
	"base": 20px,
	"md": 20px,
	"lg": 24px,
	"xl": 75px,
);

// .icon-xs, .icon-sm, .icon-base, .icon-md, .icon-lg, .icon-xl
@each $size, $value in $icon-sizes {
	.icon-#{$size} {
		width: $value !important;
		height: $value !important;
	}
}

.fonticon {
	color: var(--icon-stroke, var(--icon-fill, transparent));

	text-align: center;
	line-height: 1;
	transform: scale(0.8);

	@each $size, $value in $icon-sizes {
		&.icon-#{$size} {
			font-size: $value;
			line-height: $value;
		}
	}

	&.uil::before {
		margin: 0px !important;
		transform: scale(1.2); // Adjust optical size
	}
}

i.icon {
	font-style: normal !important;
}

.no-stroke {
	stroke: none;
}
